Subject: RE: FW: Submission for S2io 10GbE driver

From: "Leonid Grossman" <[email-masked]>
Date: Wed, 4 Feb 2004 18:46:59 -0800

> > > 1) We did't find quad word memory operations(writeq and readq) on 
> > > PCI bus for PPC64 architecture.
> > 
> > That's a bug in ppc64 then. Can you complain to them?  I would go 
> > ahead and just use them in the driver unconditionally and 
> wait for the 
> > ppc64 to fix it. Or just add them there, it's probably simple.
> 
> Yep ppc64 should define them. If you are submitting a driver 
> for inclusion in 2.6 leave these bits out, its my fault they 
> arent defined and I'll get them added in.

Hi Anton,
We are submitting for inclusion in 2.6 kernel but we'd like to have same
code for 
2.4 kernels as well, most our customers will stay with 2.4 for a
while... If you add the bits to 2.6, we would still need a solution for
2.4 kernel.

> > > On a little endian m/c like IA32 also writel writes same 
> values in a 
> > > similar manner as shown above. So the question is -
> > > Do all big endian machines with linux OS swap the values 
> and write in
> > > little endian format?? 
> > 
> > I hope not.
> 
> Thats how all big endian platforms work. in* and out*, read* 
> and write* byteswap. 

So, we should make the code big endian specific rather than PPC64
specific, right?

Thanks, Leonid